Subject: Re: bug#25327: cargo build-system should be able to filter out target.cfg(windows) dependencies

From: zimoun <[email-masked]>
Date: Fri, 18 Dec 2020 20:56:37 +0100

Hi,

On Mon, 02 Jan 2017 at 00:46, ng0 <[email-masked]> wrote:
> The cargo build-system should be able to filter out Windows
> dependencies.
> Ignore blocks with this in Cargo.toml files:
> [target.'cfg(windows)'.dependencies]
>
> until the next [ ] starts.
>
> I also found that most *32-sys packages (currently ALL *32-sys
> I've seen) are windows specific.
> As the build system is simple enough to not complain, you just
> have to learn about this while doing the work.

This bug is really old and the story about cargo has a bit evolved.  Is
it still relevant with the recent additions?

If no, feel free to close it.  And without more comment, I will close it
after the usual 2 weeks delay.

All the best,
simon